Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface IServant

All Superinterfaces:
  IChannel

All Known Implementing Classes:
  CGroupsManagerServant, CPermissionsManagerServant

    public interface IServant

extends IChannel

An interface that a Servant Channel must implement. A Servant Channel is capable of providing some type of interactive service within the flow of another Channel's use. Originally designed for CGroupsManager and CPermissionsManager, which can function both as standalone channels and provide the functions of selecting groups and people, and assigning permissions to them (respectively) for other channels

Version:
  $Revision: 1.4 $
Author:
  Alex Vigdor - av317@columbia.edu

Method Summary
`java.lang.Object[]` | `getResults()` Many servant channels will fulfil their function by providing some set of 1 or more Objects to the Master Channel.
`boolean` | `isFinished()` Allows the Master Channel to ascertain if the Servant has accomplished the requested task (Note that the way which a certain task is requested is not specified by this interface; normally it will be documented by a particular IServant and require some particular configuration paramaters used to initialize the servant)

Methods inherited from interface org.jasig.portal.IChannel
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData, setStaticData`

Method Detail

### isFinished

    boolean isFinished()

  Allows the Master Channel to ascertain if the Servant has accomplished the requested task (Note that the way which a certain task is requested is not specified by this interface; normally it will be documented by a particular IServant and require some particular configuration paramaters used to initialize the servant)

  Returns:
    boolean

### getResults

    java.lang.Object[] getResults()

  Many servant channels will fulfil their function by providing some set of 1 or more Objects to the Master Channel.

  Returns:
    Object[] the expected Object type should be documented by the IServant implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD